<?xml version="1.0" encoding="utf-8"?>
<service name="revver"
         version="$Id: revver.xml 19845 2008-08-08 21:12:47Z manish $"
         xmlns="http://www.flock.com/web-detective#">
  <strings>
    <string name="domains" value="revver.com" />

    <string name="embeddedVideoPage"
            value="http://www.revver.com/video/%VIDEO_ID%/affiliate/%AFFILIATE_ID%" />

    <string name="homePageURL" locale="default">
      <![CDATA[http://revver.com/]]>
    </string>
  </strings>

  <!-- 'contact':'atomicwedgie' -->
  <detect type="media">
    <regexp re1="userid">
      <![CDATA[/'contact':'(\w+?)'/]]>
    </regexp>
  </detect>

  <!-- http://www.revver.com/video/197473/the-cat/ -->
  <detect type="videoId">
    <regexp re1="videoId">
      <![CDATA[/^https?:\/\/[^\/]*\.?revver.com\/video\/(\d+)\/]]>
    </regexp>
  </detect>

  <!-- http://www.revver.com/video/197473/the-cat/ -->
  <detect type="isStreamUrl">
    <regexp><![CDATA[/^https?:\/\/[^\/]*\.?revver.com\/video\/\d+\/.*/]]></regexp>
  </detect>

  <!--<script src='http://flash.revver.com/player/1.0/player.js?mediaId:197473;affiliateId:8135;  <script src="http://flash.revver.com/player/1.0/player.js?mediaId:197473;width:480;height:392;" type="text/javascript"></script>-->
  <detect type="isStreamUrl">
    <regexp><![CDATA[/^https?:\/\/flash.revver.com\/player\/[^\/]*\/player\.js/]]></regexp>
  </detect>
</service>
